# Generated by Django 2.0.5 on 2021-06-23 14:58

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("accounts", "0094_profile_system_member_crm_id"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="SalesActivity",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_on", models.DateTimeField(auto_now_add=True)),
                ("updated_on", models.DateTimeField(auto_now=True)),
                ("description", models.TextField()),
                ("notes", models.TextField()),
                ("due_date", models.DateField()),
                (
                    "activity_type",
                    models.CharField(
                        choices=[
                            ("Statement of work", "Statement of work"),
                            ("Hardware BoM", "Hardware BoM"),
                            ("Research and Respond", "Research and Respond"),
                        ],
                        max_length=50,
                    ),
                ),
                (
                    "assigned_to",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "created_by",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "customer",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="accounts.Customer",
                    ),
                ),
                (
                    "last_updated_by",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={"abstract": False},
        ),
        migrations.CreateModel(
            name="SalesActivityPrioritySetting",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_on", models.DateTimeField(auto_now_add=True)),
                ("updated_on", models.DateTimeField(auto_now=True)),
                (
                    "title",
                    models.CharField(
                        help_text="Title for this status.", max_length=100
                    ),
                ),
                (
                    "color",
                    models.CharField(
                        help_text="Hex Code for the color to be shown for this status.",
                        max_length=10,
                    ),
                ),
                ("is_default", models.BooleanField(default=False)),
                ("rank", models.IntegerField(default=None)),
                (
                    "provider",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="accounts.Provider",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="SalesActivityStatusSetting",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_on", models.DateTimeField(auto_now_add=True)),
                ("updated_on", models.DateTimeField(auto_now=True)),
                (
                    "title",
                    models.CharField(
                        help_text="Title for this status.", max_length=100
                    ),
                ),
                (
                    "color",
                    models.CharField(
                        help_text="Hex Code for the color to be shown for this status.",
                        max_length=10,
                    ),
                ),
                ("is_default", models.BooleanField(default=False)),
                ("is_closed", models.BooleanField(default=False)),
                (
                    "provider",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="accounts.Provider",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="salesactivity",
            name="priority",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="sales.SalesActivityPrioritySetting",
            ),
        ),
        migrations.AddField(
            model_name="salesactivity",
            name="provider",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="+",
                to="accounts.Provider",
            ),
        ),
        migrations.AddField(
            model_name="salesactivity",
            name="status",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="sales.SalesActivityStatusSetting",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="salesactivitystatussetting", unique_together={("provider", "title")}
        ),
        migrations.AlterUniqueTogether(
            name="salesactivityprioritysetting", unique_together={("provider", "title")}
        ),
    ]
